###############################################################################
# NXP RF configuration ALM/PLM settings
# This section needs to be updated with the correct values based on the platform
NXP_RF_CONF_BLK_1={
    20, 02, E7, 1B,
    A0, 0D, 06, 06, 37, 08, 76, 00, 00,
    A0, 0D, 03, 24, 03, 80,
    A0, 0D, 06, 02, 35, 00, 3E, 00, 00,
    A0, 0D, 06, 04, 35, F4, 05, 70, 02,
    A0, 0D, 06, C2, 35, 00, 3E, 00, 03,
    A0, 0D, 06, 04, 42, F8, 40, FF, FF,
    A0, 0D, 04, 32, 42, F8, 40,
    A0, 0D, 04, 46, 42, 68, 40,
    A0, 0D, 04, 56, 42, 78, 40,
    A0, 0D, 04, 5C, 42, 80, 40,
    A0, 0D, 04, CA, 42, 68, 40,
    A0, 0D, 06, 06, 42, 00, 01, F1, F1,
    A0, 0D, 06, 32, 4A, 53, 07, 00, 1B,
    A0, 0D, 06, 46, 4A, 33, 07, 00, 07,
    A0, 0D, 06, 56, 4A, 43, 07, 00, 07,
    A0, 0D, 06, 5C, 4A, 11, 07, 01, 07,
    A0, 0D, 06, 34, 44, 66, 0A, 00, 00,
    A0, 0D, 06, 48, 44, 65, 0A, 00, 00,
    A0, 0D, 06, 58, 44, 77, 08, 00, 00,
    A0, 0D, 06, 5E, 44, 55, 08, 00, 00,
    A0, 0D, 06, CA, 44, 65, 0A, 00, 00,
    A0, 0D, 06, 06, 44, 04, 04, C4, 00,
    A0, 0D, 06, 34, 2D, DC, 20, 04, 00,
    A0, 0D, 06, 48, 2D, 15, 34, 1F, 01,
    A0, 0D, 06, 58, 2D, 0D, 4F, 0C, 01,
    A0, 0D, 06, 5E, 2D, 0D, 5A, 0C, 01,
    A0, 0D, 06, CA, 2D, 15, 34, 1F, 01
}

###############################################################################
# NXP RF configuration ALM/PLM settings
# This section needs to be updated with the correct values based on the platform
# Enable/Disable DLMA
NXP_RF_CONF_BLK_2={
    20, 02, D6, 01,
    A0, 34, D2, 23, 04, 18, 07, 00, 00, 00, 40, 01, 32, 00, 40, 01, 47, 00, 40, 01, 6B, 00, 40, 01, A7, 00, 40, 01, FE, 00, 48, 01, 4B, 01, 48, 00, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 48, 01, 00, 00, 08, 03, 00, 00, 08, 01, 00, 00, C8, 02, 00, 00, C8, 00, 00, 00, 88, 02, 00, 00, 48, 02, 00, 00, B8, 00, 00, 00, 68, 00, 00, 00, 18, 00, 00, 00, 08, 02, 00, 00, 00, 00, 00, 00, 00, 00, 47, 00, 00, 40, 01, 32, 00, 40, 01, 47, 00, 40, 01, 6B, 00, 40, 01, A7, 00, 40, 01, FE, 00, 48, 01, 4B, 01, 48, 00, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 08, 02, 00, 00, 48, 01, 00, 00, 08, 03, 00, 00, 08, 01, 00, 00, C8, 02, 00, 00, C8, 00, 00, 00, 88, 02, 00, 00, 48, 02, 00, 00, B8, 00, 00, 00, 68, 00, 00, 00, 18, 00, 00, 00, 08, 02, 00, 00, 00, 00
}

###############################################################################
# NXP RF configuration ALM/PLM settings
# This section needs to be updated with the correct values based on the platform
# Disable DPC
NXP_RF_CONF_BLK_3={
    20, 02, 5B, 01,
    A0, 0B, 57, 11, 11, 90, 78, 0F, 4E, 00, 3D, 95, 00, 00, 3D, 9F, 00, 00, 50, 9F, 00, 00, 59, 9F, 00, 00, 5A, 9F, 00, 00, 64, 9F, 00, 00, 65, 9F, 00, 00, 6E, 9F, 00, 00, 72, 9F, 00, 00, 79, 9F, 00, 00, 7B, 9F, 00, 00, 84, 9F, 00, 00, 86, 9F, 00, 00, 8F, 9F, 00, 00, 91, 9F, 00, 00, 9A, 9F, 00, 00, A1, 9F, 00, 00, A7, 9F, 00, 00, B0, 1F, 00, 00, B9, 1F, 00, 00
}

###############################################################################
# NXP RF configuration ALM/PLM settings
# This section needs to be updated with the correct values based on the platform
# CE detector/phase
NXP_RF_CONF_BLK_4={
    20, 02, 10, 02,
    A0, 0D, 06, 7A, 16, 8E, 00, 1F, 00,
    A0, 0D, 03, 02, 43, A0
}


###############################################################################
# Core configuration extensions
# It includes
# A009      - Time-out before standby
# A0EC      - Disable/Enable SWP1 interface
# A0ED      - Disable/Enable SWP2 interface
# A05E      - Send RID automatically in Jewel Reader mode
# A012      - NFCEE interface 2 configuration
# A040      - Low Power Card Detector Enable
# A041      - Low Power Card Detector Threshold
# A042      - Low Power Card Detector Sampling
# A043      - Low Power Card Detector Hybrid
# A0DD      - Retry on SWP2 interface
# A0F2      - SVDD_PWR_REQ enable
# A09F      - Add ON/OFF guard time for SVDD power management(Step value ~1mSec)
# A096      - Notify all AIDs
NXP_CORE_CONF_EXTN={
    20, 02, 95, 17,
    A0, 09, 02, 90, 01,
    A0, EC, 01, 01,
    A0, ED, 01, 01,
    A0, D5, 01, 06,
    A0, 5E, 01, 01,
    A0, 12, 01, 00,
    A0, 40, 01, 01,
    A0, 41, 01, 05,
    A0, 43, 01, 04,
    A0, DD, 01, 2D,
    A0, F2, 01, 01,
    A0, 9F, 02, 08, 08,
    A0, 96, 01, 01,
    A0, B1, 02, 34, 03,
    A0, 46, 02, BA, 27,
    A0, 47, 02, BA, 27,
    A0, 20, 08, 88, 51, E3, 82, B8, 21, E1, 02,
    A0, 26, 08, 88, 01, E2, 82, F0, 00, A2, 01,
    A0, 1F, 06, AB, 2F, 29, 13, 63, 00,
    A0, 38, 04, 14, 0E, 0E, 00,
    A0, 3A, 08, B4, 00, B4, 00, B4, 00, B4, 00,
    A0, 29, 17, 1A, 07, 40, 1D, 00, 02, 00, 1D, 00, 02, 00, 40, FF, FF, 00, 43, F8, F8, 38, 70, 00, 00, 00,
    A0, 86, 01, 77
    }


###############################################################################
# Core configuration settings
# It includes
# 18        - Poll Mode NFC-F:   PF_BIT_RATE
# 21        - Poll Mode ISO-DEP: PI_BIT_RATE
# 28        - Poll Mode NFC-DEP: PN_NFC_DEP_SPEED
# 30        - Lis. Mode NFC-A:   LA_BIT_FRAME_SDD
# 31        - Lis. Mode NFC-A:   LA_PLATFORM_CONFIG
# 33        - Lis. Mode NFC-A:   LA_NFCID1
# 50        - Lis. Mode NFC-F:   LF_PROTOCOL_TYPE
# 54        - Lis. Mode NFC-F:   LF_CON_BITR_F
# 5B        - Lis. Mode ISO-DEP: LI_BIT_RATE
# 60        - Lis. Mode NFC-DEP: LN_WT
# 80        - Other Param.:      RF_FIELD_INFO
# 81        - Other Param.:      RF_NFCEE_ACTION
# 82        - Other Param.:      NFCDEP_OP
NXP_CORE_CONF={
    20, 02, 28, 0D,
    28, 01, 00,
    21, 01, 00,
    30, 01, 08,
    31, 01, 03,
    32, 01, 60,
    38, 01, 01,
    54, 01, 06,
    50, 01, 02,
    5B, 01, 00,
    80, 01, 01,
    81, 01, 01,
    82, 01, 0E,
    18, 01, 01
    }
